@extends(Theme::viewName('layout'))
@section('title', trans('admin.approve_comments', ['number' => $comment_count]))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('comments.index') }}">@lang('navigation.breadcrumb.comments')</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.approve_comments')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 ml-md-auto mr-md-auto">
                <div class="card bg-info">
                    <div class="card-header text-white">@yield('title')</div>
                    <div class="card-body bg-light">
                        <p>@lang('admin.approve_comments_confirm', ['number' => $comment_count])</p>

                        <div class="text-right">
                            <form action="{{ route('comments.applyBulkAction') }}" method="post">
                                {{ csrf_field() }}
                                <input type="hidden" name="bulk_approve" value="1" />
                                @foreach ($comment_ids as $comment_id)
                                    <input type="hidden" name="comment_ids[]" value="{{ $comment_id }}" />
                                @endforeach

                                <a href="{{ route('comments.index') }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button type="submit" class="btn btn-info"><i class="fa fa-fw fa-trash"></i> @lang('forms.approve_action')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection